LIBMTP_file_struct(3)

NAME
LIBMTP_file_struct

SYNOPSIS

#include <libmtp.h>

  Data Fields
uint32_t item_id
uint32_t parent_id
uint32_t storage_id
char * filename
uint64_t filesize
time_t modificationdate
LIBMTP_filetype_t filetype
LIBMTP_file_t * next

Detailed Description

MTP file struct

Examples
delfile.c, detect.c, files.c, getfile.c, newfolder.c, sendfile.c, sendtr.c, and tracks.c.

Field Documentation

  char* LIBMTP_file_struct::filename
Filename of this file

Examples
detect.c, and files.c.

Referenced by LIBMTP_destroy_file_t(), and LIBMTP_new_file_t().

  uint64_t LIBMTP_file_struct::filesize
Size of file in bytes

Examples
files.c.

  LIBMTP_filetype_t LIBMTP_file_struct::filetype
Filetype used for the current file

Examples
files.c, and tracks.c.

  uint32_t LIBMTP_file_struct::item_id
Unique item ID

Examples
detect.c, files.c, and tracks.c.

  time_t LIBMTP_file_struct::modificationdate
Date of last alteration of the file

  LIBMTP_file_t* LIBMTP_file_struct::next
Next file in list or NULL if last file

Examples
detect.c, files.c, and tracks.c.

  uint32_t LIBMTP_file_struct::parent_id
ID of parent folder

Examples
files.c.

  uint32_t LIBMTP_file_struct::storage_id
ID of storage holding this file

Examples
files.c.

Author

Generated automatically by Doxygen for libmtp from the source code.